Extending Qt Creator Manual | KitConfigWidget

Extending Qt Creator Manual 4.5.2

# KitConfigWidget Class

(ProjectExplorer::KitConfigWidget)

- List of all members, including inherited members

## Public Functions

| KitConfigWidget(Kit *kit, const KitInformation *ki)
virtual QWidget * | buttonWidget() const
virtual QString | displayName() const = 0
bool | isMutable() const
bool | isSticky() const
Kit * | kit() const
Core::Id | kitInformationId() const
virtual QWidget * | mainWidget() const = 0
virtual void | makeReadOnly() = 0
virtual void | refresh() = 0
void | setMutable(bool b)
virtual void | setPalette(const QPalette &p)
virtual void | setStyle(QStyle *s)
virtual QString | toolTip() const
virtual bool | visibleInKit()

## Signals

void | dirty()

## Static Public Members

QString | msgManage()

## Member Function Documentation

### KitConfigWidget::KitConfigWidget(Kit *kit, const KitInformation *ki)

Default constructs an instance of KitConfigWidget.

### `[virtual]` QWidget *KitConfigWidget::buttonWidget() const

### `[signal]` void KitConfigWidget::dirty()

### `[pure virtual]` QString KitConfigWidget::displayName() const

### bool KitConfigWidget::isMutable() const

### bool KitConfigWidget::isSticky() const

### Kit *KitConfigWidget::kit() const

### Core::Id KitConfigWidget::kitInformationId() const

### `[pure virtual]` QWidget *KitConfigWidget::mainWidget() const

### `[pure virtual]` void KitConfigWidget::makeReadOnly()

### `[static]` QString KitConfigWidget::msgManage()

### `[pure virtual]` void KitConfigWidget::refresh()

### void KitConfigWidget::setMutable(bool b)

See also isMutable().

### `[virtual]` void KitConfigWidget::setPalette(const QPalette &p)

### `[virtual]` void KitConfigWidget::setStyle(QStyle *s)

### `[virtual]` QString KitConfigWidget::toolTip() const

### `[virtual]` bool KitConfigWidget::visibleInKit()